Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jca.security
Class Security

    java.lang.Object
      com.mindbright.jca.security.Security

public final class Security
extends java.lang.Object

Constructor Summary
`Security()`

Method Summary
`static int` | `addProvider(Provider provider)`
`static java.lang.String` | `getAlgorithmProperty(java.lang.String algName, java.lang.String propName)`
`static java.lang.String` | `getProperty(java.lang.String key)`
`static Provider` | `getProvider(java.lang.String name)`
`static Provider[]` | `getProviders()`
`static Provider[]` | `getProviders(java.lang.String filter)`
`static int` | `insertProviderAt(Provider provider, int position)`
`static void` | `removeProvider(java.lang.String name)`
`static void` | `setProperty(java.lang.String key, java.lang.String datum)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Security

    public Security()

Method Detail

### addProvider

    public static int addProvider(Provider provider)

### getProvider

    public static Provider getProvider(java.lang.String name)

### getAlgorithmProperty

    public static java.lang.String getAlgorithmProperty(java.lang.String algName,
                                                        java.lang.String propName)

### getProperty

    public static java.lang.String getProperty(java.lang.String key)

### getProviders

    public static Provider[] getProviders()

### getProviders

    public static Provider[] getProviders(java.lang.String filter)

### insertProviderAt

    public static int insertProviderAt(Provider provider,
                                       int position)

### removeProvider

    public static void removeProvider(java.lang.String name)

### setProperty

    public static void setProperty(java.lang.String key,
                                   java.lang.String datum)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD